For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all imports

How to fetch a collection of imports via API

To fetch a collection of imports, send a GET request to the /api/imports endpoint.

Request

GET https://yourdomain.commercelayer.io/api/imports

Example

The following request fetches a collection of imports:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/imports/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "imports",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN"
      },
      "attributes": {
        "resource_type": "skus",
        "format": "json",
        "parent_resource_id": "1234",
        "status": "in_progress",
        "started_at": "2018-01-01T12:00:00.000Z",
        "completed_at": "2018-01-01T12:00:00.000Z",
        "interrupted_at": "2018-01-01T12:00:00.000Z",
        "inputs_size": 300,
        "errors_count": 30,
        "warnings_count": 1,
        "destroyed_count": 99,
        "processed_count": 270,
        "errors_log": {
          "ABC": {
            "name": [
              "has already been taken"
            ]
          }
        },
        "warnings_log": {
          "ABC": [
            "could not be deleted"
          ]
        },
        "cleanup_records": true,
        "skip_errors": true,
        "attachment_url": "http://cl_imports.s3.amazonaws.com/",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "events": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/relationships/events",
            "related": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/events"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 imports (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/imports?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/imports?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/imports?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of imports can be sorted by the following fields:

Attributes

  • resource_type

  • format

  • parent_resource_id

  • status

  • started_at

  • completed_at

  • interrupted_at

  • inputs_size

  • errors_count

  • warnings_count

  • destroyed_count

  • processed_count

  • attachment_url

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Filterable fields

The list of imports can be filtered by the following fields:

Attributes

  • resource_type

  • format

  • parent_resource_id

  • status

  • started_at

  • completed_at

  • interrupted_at

  • inputs_size

  • errors_count

  • warnings_count

  • destroyed_count

  • processed_count

  • errors_log

  • warnings_log

  • attachment_url

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • events

Last updated